
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

void writeData4ToOctave(FILE* file, double X1, double Z1, double X2, double Z2) {
	fprintf(file,"%f , %f , %f , %f\n",X1,Z1,X2,Z2);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"x1 = A(:,1);\n");
	fprintf(file,"y1 = A(:,2);\n");
	fprintf(file,"x2 = A(:,3);\n");
	fprintf(file,"y2 = A(:,4);\n");	
	fprintf(file,"plot(x1,y1,'r',x2,y2,'b');\n");
	fprintf(file,"axis('square');\n");
	fprintf(file,"grid;\n");	
}

void writeHandlesToOctave(FILE* file, double x0,double y0,double x3,double y3) {
	fprintf(file,"plot(%f,%f,'o');\n",x0,y0);
	fprintf(file,"plot(%f,%f,'o');\n",x3,y3);
	
}